### Function

# Meta keybindings_set_custom_handler

#### Declaration [src]

    gboolean
    meta_keybindings_set_custom_handler (
      const gchar* name,
      MetaKeyHandlerFunc handler,
      gpointer user_data,
      GDestroyNotify free_data
    )

#### Description [src]

Allows users to register a custom handler for a builtin key binding.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the keybinding to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`handler`

  Type: `MetaKeyHandlerFunc`

  The new handler function.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`free_data`

  Type: `GDestroyNotify`

  Will be called when this handler is overridden.

#### Return value

Type: `gboolean`

`TRUE` if the binding known as `name` was found, `FALSE` otherwise.